API
LinkedIn API
LinkedInは、プロファイル、企業ページ、投稿、求人、専門知識を使用する13億人近くのメンバーがいるため、B2Bマーケティング、採用、経営者の可視性、リード生成に重要です。
APIリファレンス バージョン: 1.0.0 9 エンドポイント 認証
ベース URL
https://api.pressmonitor.com 認証
すべてのリクエストはベアラートークン認証を使用します。すべての呼び出しにAuthorizationヘッダーを追加してください。
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/activity-time 活動時間
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| linkedin_url | string | query | はい | LinkedIn URL |
コード例
curl -X GET "https://api.pressmonitor.com/activity-time?linkedin_url=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/activity-time?linkedin_url=VALUE", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/activity-time?linkedin_url=VALUE", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/activity-time?linkedin_url=VALUE");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/activity-time?linkedin_url=VALUE", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/activity-time?linkedin_url=VALUE")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body レスポンス
200 成功
GET
/company 企業
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| linkedin_url | string | query | はい | LinkedIn URL |
コード例
curl -X GET "https://api.pressmonitor.com/company?linkedin_url=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/company?linkedin_url=VALUE", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/company?linkedin_url=VALUE", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/company?linkedin_url=VALUE");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/company?linkedin_url=VALUE", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/company?linkedin_url=VALUE")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body レスポンス
200 成功
GET
/company-posts 企業の投稿
コード例
curl -X GET "https://api.pressmonitor.com/company-posts" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/company-posts", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/company-posts", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/company-posts");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/company-posts", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/company-posts")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body レスポンス
200 成功
GET
/companyby-domain ドメイン別企業
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| domain | string | query | はい | ドメイン |
コード例
curl -X GET "https://api.pressmonitor.com/companyby-domain?domain=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/companyby-domain?domain=VALUE", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/companyby-domain?domain=VALUE", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/companyby-domain?domain=VALUE");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/companyby-domain?domain=VALUE", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/companyby-domain?domain=VALUE")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body レスポンス
200 成功
GET
/get-posts 投稿を取得
コード例
curl -X GET "https://api.pressmonitor.com/get-posts" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/get-posts", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/get-posts", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/get-posts");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/get-posts", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/get-posts")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body レスポンス
200 成功
GET
/posts 投稿
コード例
curl -X GET "https://api.pressmonitor.com/posts" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/posts", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/posts", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/posts");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/posts", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/posts")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body レスポンス
200 成功
GET
/profile プロフィール
コード例
curl -X GET "https://api.pressmonitor.com/profile" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/profile", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/profile", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/profile");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/profile", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/profile")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body レスポンス
200 成功
GET
/sales-nav-profile Sales Navプロフィール
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| linkedin_url | string | query | はい | LinkedIn URL |
コード例
curl -X GET "https://api.pressmonitor.com/sales-nav-profile?linkedin_url=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/sales-nav-profile?linkedin_url=VALUE", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/sales-nav-profile?linkedin_url=VALUE", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/sales-nav-profile?linkedin_url=VALUE");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/sales-nav-profile?linkedin_url=VALUE", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/sales-nav-profile?linkedin_url=VALUE")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body レスポンス
200 成功
GET
/search-posts 投稿を検索
コード例
curl -X GET "https://api.pressmonitor.com/search-posts" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/search-posts", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/search-posts", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/search-posts");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/search-posts", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/search-posts")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body レスポンス
200 成功